org.apache.solr.common.cloud

## Class VMParamsAllAndReadonlyDigestZkACLProvider

- java.lang.Object
- - org.apache.solr.common.cloud.DefaultZkACLProvider
  - - org.apache.solr.common.cloud.VMParamsAllAndReadonlyDigestZkACLProvider

All Implemented Interfaces:
  ZkACLProvider

    public class VMParamsAllAndReadonlyDigestZkACLProvider
    extends DefaultZkACLProvider

### Field Summary

Fields
`static String` `DEFAULT_DIGEST_READONLY_PASSWORD_VM_PARAM_NAME`
`static String` `DEFAULT_DIGEST_READONLY_USERNAME_VM_PARAM_NAME`

### Constructor Summary

Constructors
Constructor and Description
`VMParamsAllAndReadonlyDigestZkACLProvider()`
`VMParamsAllAndReadonlyDigestZkACLProvider(String zkDigestAllUsernameVMParamName, String zkDigestAllPasswordVMParamName, String zkDigestReadonlyUsernameVMParamName, String zkDigestReadonlyPasswordVMParamName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<org.apache.zookeeper.data.ACL>` `createGlobalACLsToAdd()`

### Methods inherited from class org.apache.solr.common.cloud.DefaultZkACLProvider

`getACLsToAdd`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DIGEST_READONLY_USERNAME_VM_PARAM_NAME

    public static final String DEFAULT_DIGEST_READONLY_USERNAME_VM_PARAM_NAME

See Also:
  Constant Field Values

#### DEFAULT_DIGEST_READONLY_PASSWORD_VM_PARAM_NAME

    public static final String DEFAULT_DIGEST_READONLY_PASSWORD_VM_PARAM_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### VMParamsAllAndReadonlyDigestZkACLProvider

    public VMParamsAllAndReadonlyDigestZkACLProvider()

#### VMParamsAllAndReadonlyDigestZkACLProvider

    public VMParamsAllAndReadonlyDigestZkACLProvider(String zkDigestAllUsernameVMParamName,
                                                     String zkDigestAllPasswordVMParamName,
                                                     String zkDigestReadonlyUsernameVMParamName,
                                                     String zkDigestReadonlyPasswordVMParamName)

### Method Detail

#### createGlobalACLsToAdd

    protected List<org.apache.zookeeper.data.ACL> createGlobalACLsToAdd()

Overrides:
  `createGlobalACLsToAdd` in class `DefaultZkACLProvider`